Funnels

List Funnels

GET
/v0/project/{idOrSlug}/funnels

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/project/string/funnels"
[
  {
    "id": "string",
    "projectId": "string",
    "name": "string",
    "description": "string",
    "steps": [
      {
        "type": "event",
        "id": "string",
        "name": "string",
        "match": "all",
        "filters": [
          {
            "field": "string",
            "operator": "equals",
            "value": "string"
          }
        ]
      }
    ],
    "conversionWindowSeconds": 0,
    "strictOrder": true,
    "timeRangeSeconds": 0,
    "createdAt": "string",
    "updatedAt": "string"
  }
]
{
  "_tag": "FunnelValidationError",
  "message": "string"
}
{
  "_tag": "UnauthorizedError",
  "message": "string"
}
{
  "_tag": "ForbiddenError",
  "message": "string",
  "code": "string"
}
{
  "_tag": "NotFoundError",
  "message": "string"
}